> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Allocations

> A `POST` to the `/allocations/batch.json` endpoint allows your application to process allocations in batch.



## OpenAPI

````yaml post /v3/allocations/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/allocations/batch.json:
    post:
      tags:
        - Allocation
      summary: Batch Allocations
      description: >-
        A `POST` to the `/allocations/batch.json` endpoint allows your
        application to process allocations in batch.
      operationId: allocation.batchJson
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BatchAllocationJson'
                - type: object
                  properties:
                    definition:
                      type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchAllocationJson:
      type: object
      properties:
        definition:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - benefit_definition
                - point_definition
                - reward_definition
          required:
            - id
            - type
        allocations:
          type: array
          items:
            type: object
            properties:
              external_id:
                type:
                  - string
                  - 'null'
              name:
                type:
                  - string
                  - 'null'
              code:
                type: string
              meta:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              value:
                type:
                  - integer
                  - 'null'
              allocated_at:
                type:
                  - string
                  - 'null'
                format: date-time
              valid_from:
                type:
                  - string
                  - 'null'
                format: date-time
              valid_to:
                type:
                  - string
                  - 'null'
                format: date-time
            required:
              - code
          minItems: 1
      required:
        - definition
        - allocations
      title: BatchAllocationJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````